Skip to main content
`Ctrl`+`K`

# PetscFunctionListDuplicate

Creates a new list from a given function list `PetscFunctionList`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFunctionListDuplicate(PetscFunctionList fl, PetscFunctionList *nl)

## Input Parameter

- fl - pointer to list

## Output Parameter

- nl - the new list (should point to `NULL` to start, otherwise appends)

## See Also

`PetscFunctionList`, `PetscFunctionListAdd()`, `PetscFlistDestroy()`

## Level

developer

## Location

src/sys/dll/reg.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages